Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.debugger
Class LazyActionsManagerListener

    java.lang.Object
      org.netbeans.api.debugger.ActionsManagerAdapter
          org.netbeans.api.debugger.LazyActionsManagerListener

All Implemented Interfaces:
  EventListener, ActionsManagerListener

    public abstract class LazyActionsManagerListener

extends ActionsManagerAdapter

This `ActionsManagerListener` modification is designed to be registerred in "META-INF/debugger/". LazyActionsManagerListener should be registerred for some concrete `DebuggerEngine` (use "META-INF/debugger//LazyActionsManagerListener"), or for global `ActionsManager` (use "META-INF/debugger/LazyActionsManagerListener"). New instance of LazyActionsManagerListener implementation is loaded when the new instance of `ActionsManager` is created, and its registerred automatically to all properties returned by `getProperties()`.

Field Summary

Fields inherited from interface org.netbeans.api.debugger.ActionsManagerListener
`PROP_ACTION_PERFORMED, PROP_ACTION_STATE_CHANGED`

Constructor Summary
`LazyActionsManagerListener()`

Method Summary
`protected abstract void` | `destroy()` This method is called when engine dies.
`abstract String[]` | `getProperties()` Returns list of properties this listener is listening on.

Methods inherited from class org.netbeans.api.debugger.ActionsManagerAdapter
`actionPerformed, actionStateChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LazyActionsManagerListener

    public LazyActionsManagerListener()

Method Detail

### destroy

    protected abstract void destroy()

  This method is called when engine dies.

### getProperties

    public abstract String[] getProperties()

  Returns list of properties this listener is listening on.

  Returns:
    list of properties this listener is listening on

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.